
CREATE TABLE pg_catalog.pg_description (
	objoid OID NULL,
	classoid OID NULL,
	objsubid INT4 NULL,
	description STRING NULL
);

CREATE TABLE pg_catalog.pg_class (
	oid OID NOT NULL,
	relname NAME NOT NULL,
	relnamespace OID NULL,
	reltype OID NULL,
	reloftype OID NULL,
	relowner OID NULL,
	relam OID NULL,
	relfilenode OID NULL,
	reltablespace OID NULL,
	relpages INT4 NULL,
	reltuples FLOAT4 NULL,
	relallvisible INT4 NULL,
	reltoastrelid OID NULL,
	relhasindex BOOL NULL,
	relisshared BOOL NULL,
	relpersistence "char" NULL,
	relistemp BOOL NULL,
	relkind "char" NULL,
	relnatts INT2 NULL,
	relchecks INT2 NULL,
	relhasoids BOOL NULL,
	relhaspkey BOOL NULL,
	relhasrules BOOL NULL,
	relhastriggers BOOL NULL,
	relhassubclass BOOL NULL,
	relfrozenxid INT8 NULL,
	relacl STRING[] NULL,
	reloptions STRING[] NULL,
	relforcerowsecurity BOOL NULL,
	relispartition BOOL NULL,
	relispopulated BOOL NULL,
	relreplident "char" NULL,
	relrewrite OID NULL,
	relrowsecurity BOOL NULL,
	relpartbound STRING NULL,
	relminmxid INT8 NULL,
	INDEX pg_class_oid_idx (oid ASC) STORING (relname, relnamespace, reltype, reloftype, relowner, relam, relfilenode, reltablespace, relpages, reltuples, relallvisible, reltoastrelid, relhasindex, relisshared, relpersistence, relistemp, relkind, relnatts, relchecks, relhasoids, relhaspkey, relhasrules, relhastriggers, relhassubclass, relfrozenxid, relacl, reloptions, relforcerowsecurity, relispartition, relispopulated, relreplident, relrewrite, relrowsecurity, relpartbound, relminmxid)
);

CREATE TABLE pg_catalog.pg_namespace (
	oid OID NULL,
	nspname NAME NOT NULL,
	nspowner OID NULL,
	nspacl STRING[] NULL,
	INDEX pg_namespace_oid_idx (oid ASC) STORING (nspname, nspowner, nspacl)
);
