SELECT
  current_database(), n.nspname, relname, d.description
FROM
  pg_description AS d
  INNER JOIN pg_class AS c ON d.objoid = c.oid
  INNER JOIN pg_namespace AS n ON n.oid = c.relnamespace
WHERE
  d.objsubid = 0
  AND n.nspname NOT IN ('gp_toolkit':::STRING, 'information_schema':::STRING, 'pgagent':::STRING)
  AND n.nspname NOT LIKE 'pg_%'